﻿using System;

namespace WingMan.AutoCompletion
{
    public class AutoCompletionFailedEventArgs : EventArgs
    {
        public AutoCompletionFailedEventArgs(AutoCompletionFailedType type, string name, Exception ex)
        {
            Type = type;
            Name = name;
            Exception = ex;
        }

        public AutoCompletionFailedType Type { get; set; }
        public Exception Exception { get; set; }
        public string Name { get; set; }
    }
}
